
QGIS Application - Bug report #2766

Query failed if field value contains apostrophe

2010-05-31 12:35 AM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 12826

Description

For example: instead "nam" = 'ARKHANGEL'SKAYA OBLAST_ I need to print manually "nam" = 'ARKHANGEL\\'SKAYA OBLAST\\_. Is

it possible escaping this symbols automatically?

Associated revisions

Revision 9843384a - 2012-03-06 01:52 PM - Jürgen Fischer

fix #2766

History

#1 - 2010-06-20 08:59 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:fdecdf92 (SVN r13756) - query builder now escapes the single quotes.

#2 - 2012-03-03 06:07 PM - maning sambale

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

Still getting SQL errors from query builder and attribute table search using QGIS 1.7.4 windows.

#3 - 2012-03-04 03:35 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

maning sambale wrote:

Still getting SQL errors from query builder and attribute table search using QGIS 1.7.4 windows.

it works fine here, what is the expression that fails?

2025-04-27 1/2



#4 - 2012-03-04 06:04 PM - maning sambale

Giovanni Manghi wrote:

maning sambale wrote:

Still getting SQL errors from query builder and attribute table search using QGIS 1.7.4 windows.

it works fine here, what is the expression that fails?

Something like below:

"NAME_2" = 'T'boli'

I'm using 1.7 now on a mac with the same error we also saw this error on 1.7.4 windows.

#5 - 2012-03-06 04:00 AM - Giovanni Manghi

- Status changed from Closed to Reopened

- Resolution deleted (fixed)

- Status info deleted (0)

- Operating System deleted (All)

- Target version changed from Version 1.5.0 to 35

- Priority changed from Low to Normal

Something like below:

"NAME_2" = 'T'boli'

I'm using 1.7 now on a mac with the same error we also saw this error on 1.7.4 windows.

Confirmed, the above expression fails on both qgis 1.7.4 and master. Manually escaping the single quote ("NAME_2" = 'T\\'boli') it works. Message is:

An error occurred when executing the query.

The data provider said:

OGR[3] error 1: SQL: Syntax error, 2 extra tokens

#6 - 2012-03-06 04:55 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"9843384a765e56a11a3bd81e11ac9bd49cd2c95d".

#7 - 2012-04-15 10:01 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#8 - 2012-04-18 12:15 AM - Jürgen Fischer

- Resolution set to fixed
